# norootforbuild
%define packname libdvdread

Name:           libdvdread4
Summary:        Library to access video DVDs
Url:            http://www.mplayerhq.hu/
License:        GPL v2 or later
Group:          Productivity/Multimedia/Other
Version:        4.1.3
Release:        2.2
Source0:        http://www1.mplayerhq.hu/MPlayer/releases/dvdnav/%{packname}-%{version}.tar.bz2
Patch0:         libdvdread-strict-aliasing.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
libdvdread provides a simple foundation for reading DVD-Video images.
It offers DVD applications:

1. A simple abstraction for reading the files on a DVD image
   (dvd_reader.h).
2. A simple library for parsing the information (IFO) files
   (ifo_read.h/ifo_types.h).
3. A simple library for parsing the navigation (NAV) packets
   (nav_read.h/nav_types.h).

This allows application designers to access some of the more advanced
features of the DVD format.

libdvdread currently uses libdl to dynamically probe for libdvdcss at
runtime.  If libdvdcss is found, then it will be used to decrypt the
encrypted sections of a DVD.

Authors:
--------
    Björn Englund <d4bjorn@dtek.chalmers.se>
    Håkan Hjort <d95hjort@dtek.chalmers.se>
    Billy Biggs <vektor@dumbterm.net>
    Christian Wolff <scarabaeus@convergence.de>

%package -n %packname-devel
License:        GPL v2 or later
Summary:        Development tools for programs which will use the libdvdread library 
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version} glibc-devel
Provides:       %{name}-devel = %{version}

%description -n %packname-devel
The libdvdread-devel package includes the header files and static libraries
necessary for developing programs which will manipulate DVDs files using
the libdvdread library.

If you are going to develop programs which will manipulate DVDs, you
should install libdvdread-devel.  You'll also need to have the libdvdread
package installed.

Authors:
--------
    Björn Englund <d4bjorn@dtek.chalmers.se>
    Håkan Hjort <d95hjort@dtek.chalmers.se>
    Billy Biggs <vektor@dumbterm.net>
    Christian Wolff <scarabaeus@convergence.de>

%prep
%setup -q -n %packname-%version
%patch

%build
autoreconf -f -i
%configure --disable-static --with-pic
%{__make} %{?jobs:-j%jobs}

%install
%makeinstall
ln -sf /usr/share/doc/licenses/md5/$(md5sum COPYING | sed 's/ .*//') COPYING
%{__rm} -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/*.so.4*

%files -n %packname-devel
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README
%{_includedir}/*
%{_libdir}/*.so
%_bindir/dvdread-config
%_libdir/pkgconfig/dvdread.pc
%_datadir/aclocal/dvdread.m4

%changelog
* Mon Nov 17 2008 Carsten Schoene <cs@linux-administrator.com>
- initial import
